Subject: Test "terminal-string-width Japanese" has environmental dependency

From: Skyler Ferris <[email-masked]>
Date: Fri, 29 Dec 2023 00:51:51 +0000

Hello,

The test "terminal-string-width Japanese" in the file 
"tests/syscalls.scm" has an environmental dependency which causes it to 
fail when I run `guix shell --pure -D guix -- make check 
TESTS=tests/syscalls.scm`. I can resolve this by instead running `guix 
shell --pure -D guix -- env LANG=en_US.utf-8 make check 
TESTS=tests/syscalls.scm`. I do not know enough about locales to know if 
it makes sense for the test to set the environment variable, to make a 
recommendation in the manual, or to do something else. For 
bootstrapping, which requires some programs not included in the package 
dependencies, the manual specifically states the additional packages 
which are required (the problem here is not an additional package, but 
seems similar).

Regards,
Skyler